XPRESENT(3) | Library Functions Manual | XPRESENT(3)

# NAME

Xpresent - X Present Extension

# SYNTAX

#include <X11/extensions/Xpresent.h>

    Bool XPresentQueryExtension (Display *dpy,
    	int *event_base_return, int *error_base_return);

    Status XPresentQueryVersion (Display *dpy,
    	int *major_version_return,
    	int *minor_version_return);

    void XPresentRegion (Display *dpy,
    	Window window,
    	Pixmap pixmap,
    	uint32_t serial,
    	XserverRegion valid,
    	XserverRegion update,
    	int x_off,
    	int y_off,
    	XID idle_fence,
    	XID target_crtc,
    	uint64_t target_msc,
    	uint64_t divisor,
    	uint64_t remainder);

# ARGUMENTS

display
  Specifies the connection to the X server.
window
  Specifies which window.

# DESCRIPTION

Xpresent is a library designed to interface the X Present Extension.

# RESTRICTIONS

Xpresent will remain upward compatible after the 1.0 release.

# AUTHORS

Keith Packard, Intel

X Version 11 |